<?xml version="1.0" encoding="gb2312"?>
<!--HSN+2.0 Cmode_2.0_xml_2.3_20180917_1717-->
<Config>
    <Global>
        <CEBypass>1</CEBypass>
        <SkinSmoothBypass>1</SkinSmoothBypass>
    </Global>

    <MFNR>
        <TC>
            <mindist>11</mindist>           <!--[3 , 21]-->
            <window_width>11</window_width>   <!--[11]-->
            <window_height>11</window_height>  <!--[11]-->
            <min_eigenvalue>3</min_eigenvalue>  <!--[0 , 255]-->
            <min_determinant>0.01</min_determinant>   <!--[0.001f , 8.0f]-->
            <min_displacement>0.01</min_displacement>  <!--[0.01f , 1.0f]-->
            <max_iterations>30</max_iterations>   <!--[1 , 255]-->
            <max_residue>20.0</max_residue>   <!--[0.0f , 255.0f]-->
            <step_factor>1.0</step_factor>    <!--[1.0f , 16.0f]-->
            <nPyramidLevels>4</nPyramidLevels>  <!--[1 , 8]-->
            <subsampling>2</subsampling>   <!--[2 , 4]-->
            <divnum_x>16</divnum_x>    <!--[2 , 20] -->
            <divnum_y>16</divnum_y>    <!--[2 , 20]-->
            <fnum_block>3</fnum_block>  <!--[1 , 8]-->
        </TC>
        <RANSAC_PARAM>
            <max_iters>150</max_iters>   <!--[1 , 1024]-->
            <threshold>3.0</threshold>   <!--[0.1f , 16.0f]-->
            <confidence>0.9995</confidence>   <!--(0.0f , 1.0f]-->
        </RANSAC_PARAM>
        <GHOST_PARAMS>
            <iso>       100     200   400    800    1600   2400   3200   6400     </iso> <!-- iso threshold for th0~th7 -->
            <factor>    1.000   1.000 1.000  1.000  1.000  1.000  1.000  1.000    </factor>  <!-- factor,dark_level:[1.0,2.0]; c:(0,2047] -->
            <dark_level>1.500   2.000 2.000  2.000  2.000  2.000  2.000  2.000    </dark_level>
            <c>         5.000   6.000 8.000  12.000 18.000 28.000 36.000 72.000   </c>
        </GHOST_PARAMS>
        <EXCEPTION_HANDLER>
            <iso>                 100      200      400      800      1600     2400     3200     6400  </iso> <!-- iso threshold for th0~th7 -->
            <thresh_rotate>       9.0      9.0      9.0      9.0      9.0      9.0      9.0      9.0   </thresh_rotate>   <!--[0.0,9.0]-->
            <thresh_translate>    1024.0   1024.0   1024.0   1024.0   1024.0   1024.0   1024.0   1024.0 </thresh_translate><!--[0.0,1024.0]-->
            <thresh_zoom>         0.00025  0.00025  0.00025  0.00025  0.00025  0.00025  0.00025  0.00025</thresh_zoom><!--[0.0,0.00025]-->
            <thresh_num_feature>  5        5        5        5        5        5        5        5     </thresh_num_feature><!--[5,255]-->
            <thresh_contrast>     100      100      100      100      100      100      100      100    </thresh_contrast><!--[0,100]-->
        </EXCEPTION_HANDLER>
        <slf_t>
            <long_frame_skip>  0  </long_frame_skip>    <!--{0,1}-->
            <well_expo_long>  0.5 </well_expo_long>    <!--[0.0,1.0]-->
            <well_expo_short> 0.5 </well_expo_short>   <!--[0.0,1.0]-->
        </slf_t>
        <append_params>
            <!--     dark_ratio*256    thresh_binary      r_dil     beta_dark_level   beta_sigma           -->
            <!--        [0,4096]         [0,256]          {4,8}      [1,1024]         [1,1024]             -->
            <param0>       512             90               8           256              256       </param0>
        </append_params>
        <!--         ISO         Luma    thresh-->
        <!--        [50,3200]   [0,255]  [0,255] -->
        <seg_params> 50  100    80  120  1  54</seg_params>
    </MFNR>

    <HDR>
        <params_sd0>
            <sd_result>0</sd_result>
            <!-- light_lev luma_center  eps    eps_blur    eps_lap  eps_weight  min_size  gf_lev    r        r_gain  edge_thr edge_boxf_r plant_scale  bpv_scale  detail:gain_coff gain_min  gain_min2  gain_max gain_drc   global_min  global_max  th_low     th_high    str_low    str_high  hlr_alpha  hlr_center hlr_eps trust_min  weight_center  border     face   lime:gamma_low gamma_high gamma_min  center_low ups_interp     white_edge       upsample_de        bayer_pat_de     plant_de  background_de  face: luma_goal gamma_face bpv_factor face_eps    gf_max_r   std_scale  last_pyd_r  eps  gain_weight  erosion_r  body: luma_goal  gamma_body  bvp_factor re_scale     sky_goal  blue_goal gamma_sky gamma_blue night_scale   cloudy_th  retinex:r0        r1        r2       r3         r4      r5     eps0       eps1      eps2       eps3       eps4     eps5    minratio   maxratio face_recover DE_eps*100000.f  strength  surface_th   de_laplacian(+)*100   de_laplacia(-)*100   de_gaussian*100   gtm_reduce    blc_offset(rgb)      lsc_value_conner(rgb) rlc_recover gf_r   gf_eps  hwp:th_high curve_shift ev:th_high curve_shift skin_de_str sky_mean_low sky_mean_high  blue_low blue_high sf_switch edge_recover  res1  res2    -->
            <!--[0,1280000] [0,255]  [1, 65535] [1, 65535] [1, 65535] [1, 65535] [2, 512] [2, 4]   [2, 64]  [2, 64]   [0, 255]  [0, 64]   [0, 256]      [0, 256]         [0 512]   [0 4096] [0 4096]  [0 4096] [0 4096]    [0 256]      [0 256]   [0 255]   [0 255]     [0 1024]   [0 1024]    [0 256]   [0 255]   [1 256]   [0 256]      [0 256]   [0 256]    [0 256]      [0 256]      [0 256]   [0 2560]    [0 256]    [1 1000]   L[0 255] H[0 255]  L[0 256] H[0 256] L[0 256] H[0 256]  [0 255]    [0 255]             [0 256]    [0 256]     [0 256]   [0 256]     [0  32]   [0 2048]  [1 64]  [1 4096]  [0,256]      [1,64]          [0,256]    [0,256]      [0,256]    [0,256]     [0 256]   [0 256]    [0 256]   [0 256]      [0 256]   [0 255]        [4 512]   [0 512]   [0 512]   [0 512]   [0 512]  [0 512]  [1 4096]   [1 4096]  [1 4096]  [1 4096]   [1 4096]  [1 4096] [0 4096]  [0 4096]  [0 256]     [1 100000]      [0 256]    [0 256]          [100, 300]              [100, 300]        [100, 300]    [0, 256]          3[-1024,1024]             3[1, 16384]      [0, 1280]  [1 2] [1 65535]    [0 255]   [0 100]      [0 2000]   [0 100]    [0, 256]    [0, 256]     [0, 256]      [0, 500]  [0, 500]  [0, 1]    [0, 1280]     2[0 65535]   -->
            <param0>0       141          192       6          380          32       512      4        2          4      150        10        150          256              140        64       450       600      4096       222         256        1          5          256       128         64        230        160         5          103        90        128        135          215          35        200       100           35         60     130      200        50      150       128        64                   175       243          256       26          4         256        4        3        160          2               125        218          128       196        230       220         230      200        230          70             8         32        64       128        0      41       8          16        32         64         0         0        32        512       256          500             256        80             105                      105               100           128               0     0     0       1024  1024  1024       256     1         10         30          0          500         0      256          40            120            120       150        1       256         0      0     </param0>
            <param1>5       141          192       6          280          32       512      4        2          4      150        10        150          256              140        64       450       600      4096       204         256        3          5          256       128         192       220        108         9          103        90        128        136          218          35        200       100           35         60     130      200        50      150       128        64                   170       243          256       26          4         256        4        3        160          2               125        218          128       196        230       220         230      200        230          70             8         32        64       128        0      41       8          16        32         64         0         0        32        512       256          500             256        80             105                      105               100           128               0     0     0       1024  1024  1024       256     1         10         30          0          500         0      256          40            120            120       150        1       256         0      0     </param1>
            <param2>50      128          192       6          240          32       512      4        2          4      150        10        204          256              140        64       400       550      2560       204         256        3          5          256       32          192       190        128         9          103        90        128        80           218          30        180       100           35         60     130      200        50      150       128       128                   150       243          256       26          4         256        4        3        140          2               125        218          128       196        230       220         230      200        230          70             8         32        64       128        0      41       16         100       160        280        0         0        32        345       80           500             256        80             105                      105               110           128               0     0     0       1024  1024  1024       256     1         10         30         50          500        50      128          40            120            120       150        1       256         0      0     </param2>
            <param3>100      45          256       6          180          32       512      4        2          4      150        10        204          256              140        64       400       550      2560       179         256        3          5          768       0           192       190        168         9          103        90        128        64           218          45        180       100           35         60     130      200        50      150       255       255                   128       243          256       26          4         512        4        3        150          2               125        218          128       196        220       220         220      200        230          70             8         32        64       128        0      41       32         160       180        280        0         0        32        305       80          1000             256        80             105                      105               110           192               0     0     0       1024  1024  1024       256     1         10         30         50          500        50      0            40            120            120       150        1       256         0      0     </param3>
            <param4>600      26          256       24         180          32       512      4        2          4      150        10        204          256              140        64       400       550      2560       179         256        3          5          768       0           192       190        196         9          126        87        128        64           218          80        180       50            35         60     130      200        50      150       255       255                   128       210          256       26          4         768        4        3        150          2               125        218          256       196        220       220         220      200        230          70             8         32        128      256        0      41       32         160       180        280        0         0        32        245       80          1000             256        40             105                      115               110           192               0     0     0       1024  1024  1024       256     1         10         30         50          500        80      0            40            120            120       150        1       256         0      0     </param4>
            <param5>2000     26          256       48         180          32       512      4        2          4      150        10        204          256              140        64       400       550      2560       179         256        3          5          768       0           192       200        196         9          126        87        128        64           213          95        180       100           35         60     130      200        50      150       255       255                   128       210          256       26          4         768        4        3        150          2               125        218          256       196        220       220         220      200        230          70             16        32        256      256        0      41       64         160       280        320        0         0        32        245       80          1000             256        40             105                      115               110           192               0     0     0       1024  1024  1024       256     1         10         30         50          500        80      0            40            120            120       150        1       256         0      0     </param5>
            <param6>9000     26          256       48         180          32       512      4        2          4      150        10        204          256              140        64       400       550      2560       179         256        5          5          512       0           192       210        168        12          126        87        128        64           200          80        180       100           35         60     130      200        50      150       255       255                   128       210          256       26          4         256        4        3        150          2               125        218          256       196        220       220         190      200        230          70             16        64        256      256        0      41       64         320       320        320        0         0         0        245       80          1000             256        40             105                      115               110           192               0     0     0       1024  1024  1024       256     1         10         30         50          500        80      0            40            120            120       150        1       256         0      0     </param6>
            <param7>100000   26          256       48         180          32       512      4        2          4      150        10        204          256              140        64       400       550      2560       179         256        5          5          512       0           192       210        168        12          126        87        128        64           215          60        180       100           35         60     130      200        50      150       255       255                   128       210          256       26          4         256        4        3        150          2               125        218          128       196        220       220         190      200        230          70             16        64        256      256        0      41       64         320       320        320        0         0         0        245       80          1000             256        40             105                      115               110           192               0     0     0       1024  1024  1024       256     1         10         30         50          500        80      0            40            120            120       150        1       256         0      0     </param7>

            <scene0>3        0           0         0          0            0        0        0        0          0       0          0         0            0               0          0        0         0        0          0           0          0          0          0         0           0         0           0         0           0          0         0          0            -10           0         0         0            0          0      0         0         0         0       0         0                    0          0          256       0           0         0          0        0        -40          0               0          0             0         0          0         0           0        0           0            0              0          0        0        0          0       0       0          0          0          0          0         0        0         0          0            0              0          0               0                        0                 0             0               0     0     0          0     0     0        0       0          0         0          0           0          0       0           0               0              0         0        0         0         0      0     </scene0>

            <gain_estimated_max>12</gain_estimated_max> <!--[1, 50]-->

            <!-- lut[5]-->
            <!-- [0.f, 32.f]-->
            <gainlut0>0.0  6.0  8.5  10.5  15.0</gainlut0>
            <gainlut1>0.0  6.0  8.5  10.5  15.0</gainlut1>
            <gainlut2>0.0  5.0  8.0  10.0  14.0</gainlut2>
            <gainlut3>0.0  3.5  6.0  10.0  14.0</gainlut3>
            <gainlut4>0.0  3.0  6.0  9.0   14.0</gainlut4>
            <gainlut5>0.0  2.5  6.0  9.0   14.0</gainlut5>
            <gainlut6>0.0  2.5  6.0  9.0   14.0</gainlut6>
            <gainlut7>0.0  2.5  6.0  9.0   14.0</gainlut7>
            <gainlut8>0.0  2.5  6.0  9.0   14.0</gainlut8>
            <gainlut9>0.0  2.5  6.0  9.0   14.0</gainlut9>

        </params_sd0>
        <params_sd1>
            <sd_result>1</sd_result>
            <!-- light_lev luma_center  eps    eps_blur    eps_lap  eps_weight  min_size  gf_lev    r        r_gain  edge_thr edge_boxf_r plant_scale  bpv_scale  detail:gain_coff gain_min  gain_min2  gain_max gain_drc   global_min  global_max  th_low     th_high    str_low    str_high  hlr_alpha  hlr_center hlr_eps trust_min  weight_center  border     face   lime:gamma_low gamma_high gamma_min  center_low ups_interp         white_edge       upsample_de        bayer_pat_de    plant_de  background_de face: luma_goal gamma_face bpv_factor face_eps    gf_max_r  std_scale  last_pyd_r  eps  gain_weight  erosion_r  body: luma_goal  gamma_body  bvp_factor re_scale     sky_goal  blue_goal gamma_sky gamma_blue night_scale    cloudy_th  retinex:r0        r1        r2       r3         r4      r5     eps0       eps1      eps2       eps3       eps4     eps5    minratio   maxratio face_recover DE_eps*100000.f  strength  surface_th   de_laplacian(+)*100   de_laplacia(-)*100   de_gaussian*100   gtm_reduce blc_value_offset(rgb)  lsc_value_conner(rgb)  -->
            <!--[0,1280000] [0,255]  [1, 65535] [1, 65535] [1, 65535] [1, 65535] [2, 512] [2, 4]   [2, 64]  [2, 64]   [0, 255]  [0, 64]   [0, 256]      [0, 256]         [0 512]   [0 4096] [0 4096]  [0 4096] [0 4096]    [0 256]      [0 256]   [0 255]   [0 255]     [0 1024]   [0 1024]    [0 256]   [0 255]   [1 256]   [0 256]      [0 256]   [0 256]    [0 256]      [0 256]      [0 256]   [0 2560]    [0 256]    [1 1000]       L[0 255] H[0 255]  L[0 256] H[0 256] L[0 256] H[0 256] [0 255]    [0 255]           [0 256]    [0 256]     [0 256]   [1 256]     [0 32]    [0 2048]  [1 64]  [1 4096]  [0,256]      [1,64]          [0,256]    [0,256]      [0,256]    [0,256]     [0 256]   [0 256]    [0 256]   [0 256]      [0 256]    [0 255]        [4 512]   [0 512]   [0 512]   [0 512]   [0 512]  [0 512]  [1 4096]   [1 4096]  [1 4096]  [1 4096]   [1 4096]  [1 4096] [0 4096]  [0 4096]  [0 256]     [1 100000]      [0 256]    [0 256]          [100, 300]              [100, 300]        [100, 300]    [0, 256]        3[-1024,1024]                     3[1, 16384]       -->
            <param0>0        150         220       2          240          32       512      4        2          4       255        15         50          200                 140        64       450       600      4096       222         256        1          5          128       128         64        235        160        4           103        90        128        135          215           30        200        100        35         60     130      200        50      150        0        64                  140        243          0           26        4       256      4        3        160          2               125        218          128       196         225       220        230         210        230          70                24        78        96       164        0       0       24         38        48         65         64        64       256      512       96           100           256         80                105                     105             100             128          0     0     0         1024  1024  1024  </param0>
            <param1>5        150         220       2          180          32       512      4        2          4       255        15         50          220                 140        64       450       600      4096       222         256        1          5          128       128         192       218        138        8           103        90        128        136          218           30        200        100        35         60     130      200        50      150        0        64                  140        243          0           26        4       256      4        3        160          2               125        218          128       196         225       220        230         210        230          70                24        78        96       164        0       0       24         38        48         65         64        64       256      512       96           100           256         80                105                     105             100             128          0     0     0         1024  1024  1024  </param1>
            <param2>50       128         230       6          180          32       512      4        2          4       255        10         60          256                 140        64       400       550      2560       204         256        3          5          256       32          192       200        138        9           103        90        128        80           218           30        180        100        35         60     130      200        50      150        0        64                  140        252        256           26        4       256      4        3        140          2               125        218          128       196         220       220        218         210        230          70                8         32        64       128        0       0       4          8         64         320        320       320      32       345       164          100           256         80                103                     105             110             128          0     0     0         1024  1024  1024  </param2>
            <param3>100      108         256       6          180          32       512      4        2          4       255        10        204          256                 140        64       400       550      2560       179         256        5          5          512       0           192       190        138        9           103        90        128        64           218           45        180        100        35         60     130      200        50      150        0        64                  135        252        256           26        4       512      4        3        150          2               125        218          128       196         220       220        218         179        230          70                8         32        64       128        0       0       64         320       320        320        320       320      16       245       164          500           256         80                102                     105             110             192          0     0     0         1024  1024  1024  </param3>
            <param4>600       90         256       6          180          32       512      4        2          4       255        10        204          256                 140        64       300       400      2048       179         256        5          5          512       0           192       180        166        9           126        87        128        64           213           50        180        50         35         60     130      200        50      150        0        64                  128        243        256           26        4       768      4        3        150          2               125        218          128       196         220       220        208         179        230          70                32        64        96       128        0       0       160        320       320        320        320       320       0       245       164          500           256         40                100                     110             110             192          0     0     0         1024  1024  1024  </param4>
            <param5>4000      80         256       6          180          32       512      4        2          4       255        10        204          256                 140        64       200       300      2048       179         256        5          5          512       0           192       180        166        9           126        87        128        64           208           55        180        100        35         60     130      200        50      150        0        64                  128        243        256           26        4       768      4        3        150          2               125        218          128       196         220       220        208         179        230          70                32        64        96       128        0       0       160        320       320        320        320       320       0       245       164          500           256         40                100                     110             110             192          0     0     0         1024  1024  1024  </param5>
            <param6>8000      70         256       6          180          32       512      4        2          4       255        10        204          256                 140        64       100       150      2048       179         256        5          5          512       0           192       180        166        9           126        87        128        64           190           60        180        100        35         60     130      200        50      150        0        64                  128        243        256           26        4       256      4        3        150          2               125        218          128       196         220       220        190         179        230          70                8         32        64       128        0       0       320        640       640        960        320       320       0       245       164          200           256         40                100                     110             110             192          0     0     0         1024  1024  1024  </param6>
            <param7>10000     43         256       6          180          32       512      4        2          4       255        10        204          256                 140        64       100       150      2048       179         256        5          5          512       0           192       195        160        9           126        87        128        64           190           65        180        100        35         60     130      200        50      150        0        64                  128        243        256           26        4       256      4        3        150          2               125        218          128       196         220       220        208         179        230          70                8         32        64       128        0       0       320        640       640        960        320       320       0       245       164          200           256         40                100                     110             110             192          0     0     0         1024  1024  1024  </param7>
            <param8>40000     43         256       6          180          32       512      4        2          4       255        10        204          256                 140        64       100       150      2048       179         256        5          5          512       0           192       195        160        9           126        87        128        64           190          100        180        100        35         60     130      200        50      150        0        64                  128        243        256           26        4       256      4        3        130          2               125        218          128       196         220       220        208         179        230          70                8         32        64       128        0       0       320        640       640        960        320       320       0       245       164          200           256         40                100                     110             110             192          0     0     0         1024  1024  1024  </param8>
            <cloudy>0       141          192       6          320          32       512      4        2          4       255        10         60          128                 140        64       450       600      4096       204         256        5          5          512       128         192       220        108        11          103        90        128        132          167           35        200        100        35         60     130      200        50      150        0        64                  150        243          0           26        4       256      4        3        130          2               125        218          128       196         225       220        230         179        230          70                8         32        64       128        0       0       4          4         16         32         64        64       32       512       48           500           256         80                105                     105             100             128          0     0     0         1024  1024  1024  </cloudy>
            <scene0>3        0           0         0          0            0        0        0        0          0       0          0         0            0                    0          0        0         0        0          0           0         0          0          0         0           0         0           0         0           0          0         0          0            -10            0         0         0           0          0      0         0         0        0        0         0                   0          0           0           0         0         0      0        0        -40          0               0          0          0            0          0         0          0           0          0             0                0          0        0        0          0       0       0          0          0          0          0         0        0         0        0           0             0           0                  0                        0               0             0            0     0     0          0     0     0    </scene0>

            <gain_estimated_max>12</gain_estimated_max> <!--[1, 50]-->

            <!-- lut[5]-->
            <!-- [0.f, 32.f]-->
            <gainlut0>0.0  6.0  8.5  15.5  20.0</gainlut0>
            <gainlut1>0.0  6.0  8.5  15.5  20.0</gainlut1>
            <gainlut2>0.0  6.0  7.5  15.0  20.0</gainlut2>
            <gainlut3>0.0  6.0  7.5  15.0  20.0</gainlut3>
            <gainlut4>0.0  3.0  6.0  15.0  20.0</gainlut4>
            <gainlut5>0.0  2.0  4.0  15.0  20.0</gainlut5>
            <gainlut6>0.0  2.0  4.0  15.0  20.0</gainlut6>
            <gainlut7>0.0  2.0  4.0  15.0  20.0</gainlut7>
            <gainlut8>0.0  2.0  4.0  18.0  25.0</gainlut8>
            <gainlut9>0.0  2.0  6.0  18.0  25.0</gainlut9>

        </params_sd1>
    </HDR>

    <RAWNR>
        <NOISE_PROFILE>
            <K_A>0.00038000</K_A><!--[0, 1.0]-->
            <K_B>0.00000000 </K_B><!--[0, 1.0]-->
            <B_A>0.0000011 </B_A><!--[0, 1.0]-->
            <B_B>0.00101082 </B_B><!--[0, 1.0]-->

            <BLC>16</BLC><!--[0, 64]-->

            <LAYER0_NOISE_SCALE>800 1200 0.95 0.8     </LAYER0_NOISE_SCALE> <!-- 2ISO 2nrs--><!--ISO[0, 6400]--><!--nrs[0, 1.0]-->
            <LAYER1_NOISE_SCALE>800 1200 0.25 0.2     </LAYER1_NOISE_SCALE> <!-- 2ISO 2nrs--><!--ISO[0, 6400]--><!--nrs[0, 1.0]-->
            <LAYER2_NOISE_SCALE>800 1200 0.0625 0.0625</LAYER2_NOISE_SCALE> <!-- 2ISO 2nrs--><!--ISO[0, 6400]--><!--nrs[0, 1.0]-->

            <TUNING_DARK_NOISE>50 200 1.0 1.0  16 20 </TUNING_DARK_NOISE><!-- 2ISO 2nrs 2luma--><!--ISO[0, 6400]--><!--nrs[0, 1.5]--><!--luma[0, 64]-->
        </NOISE_PROFILE>

              <!--     /exp0   exp1   exp2 /iso0 iso1 iso2 iso3 iso4 iso5 iso6 iso7 iso8 iso9    -->
              <!--     3[50,5000]          8[0,15000]                                             -->
        <ISO_SECTIONS> 5000   1000   200   50   100  200  400  700  1000 1600 2400 3000 3500</ISO_SECTIONS>

        <NLM>
            <Layer0>
                <!--    /gradation_nr_4     /luma_nr_4         /luma_sub_4         /face_details_8                    -->
                <!--                                                               2hue     1nonFaceW 4detailsTH  3nrs -->
                <!--   2[0,255] 2[0,3.5]    2[0,255] 2[0,3.5]       2[0,255] 2[0,128]  2[0,255] [0,2]     4[0,255]    3[0~3.5]  -->
                <exp0>  52  120 2.5 1.1    22 32    1.2 1.3     25 42    38 49     164 240  1.0       0 25 60 120 1.5 0.8 1.6 </exp0>
                <exp1>  52  120 2.5 1.1    22 32    1.2 1.3     25 42    38 49     164 240  1.0       0 25 60 120 1.5 0.8 1.6 </exp1>
                <exp2>  52  120 2.5 1.1    22 32    1.2 1.3     25 42    38 49     164 240  1.0       0 25 60 120 1.5 0.8 1.6 </exp2>
                <iso0>  52  120 2.5 1.1    22 32    1.2 1.3     25 42    38 49     164 240  1.0       0 25 60 120 1.5 0.8 1.6 </iso0>
                <iso1>  62  120 2.0 1.11   22 32    1.22 1.3    25 42    38 49     164 240  1.0       0 25 60 120 1.5 0.8 1.6 </iso1>
                <iso2>  62  120 2.0 1.12   22 32    1.22 1.3    25 42    41 49     164 240  1.0       0 25 60 120 1.5 0.8 1.6 </iso2>
                <iso3>  62  120 2.0 1.2   16 32    1.23 1.32   25 42    41 49     164 240  1.0       0 25 60 120 1.8 1.0 1.8</iso3>
                <iso4>  62  120 2.0 1.2   16 32    1.23 1.38   25 42    41 49     164 240  1.0       0 25 60 120 1.9 1.1 1.9</iso4>
                <iso5>  62  120 1.5 1.2    16 32    1.23 1.38   25 42    41 41     164 240  1.0       0 25 60 120 1.2 1.0 1.2 </iso5>
                <iso6>  62  120 1.5 1.2    16 32    1.25 1.33   25 42    41 41     164 240  1.0       0 25 60 120 1.2 1.0 1.2 </iso6>
                <iso7>  62  120 1.2 1.2    16 32    0.8  0.85   25 42    41 41     164 240  1.0       0 25 60 120 1.2 1.0 1.2</iso7>
                <iso8>  62  120 1.2 1.0    16 32    0.8  0.85   25 42    41 41     164 240  1.0       0 25 60 120 1.2 1.0 1.2 </iso8>
                <iso9>  62  120 1.2 1.0    16 32    0.8  0.85   25 42    41 41     164 240  1.0       0 25 60 120 1.2 1.0 1.2 </iso9>
            </Layer0>
            <Layer1>
                <!--    gradation_nr_4     luma_nr_4        luma_sub_4    /face_details_8                 -->
                <exp0>  52  120 2.5 1.0    16 25 1.5 1.5    25 42 49 49   168 240 1.0 0 25 50 100 1.0 1.0 1.0 </exp0>
                <exp1>  52  120 2.5 1.0    16 25 1.5 1.5    25 42 49 49   168 240 1.0 0 25 50 100 1.0 1.0 1.0 </exp1>
                <exp2>  52  120 2.5 1.0    16 25 1.5 1.5    25 42 49 49   168 240 1.0 0 25 50 100 1.0 1.0 1.0 </exp2>
                <iso0>  52  120 2.5 1.0    16 25 1.1 1.5    25 42 49 49   168 240 1.0 0 25 50 100 1.0 1.0 1.0 </iso0>
                <iso1>  52  120 2.1 1.0    22 50 1.3 1.5    25 42 49 49   168 240 1.0 0 25 50 100 0.5 0.5 0.5 </iso1>
                <iso2>  62  120 2.5 1.1    22 60 1.2 1.3    25 42 40 40   168 240 1.0 0 25 50 100 0.5 0.5 0.5 </iso2>
                <iso3>  62  120 1.8 1.0    22 60 1.2 1.3    25 42 40 40   168 240 1.0 0 25 50 100 0.3 0.3 0.3 </iso3>
                <iso4>  62  120 1.8 1.0    22 60 1.2 1.3    25 42 40 40   168 240 1.0 0 25 50 100 0.8 0.5 0.8 </iso4>
                <iso5>  62  120 1.8 1.1    20 25 1.0 1.0    25 42 40 40   168 240 1.0 0 25 50 100 0.3 0.3 0.3 </iso5>
                <iso6>  62  120 1.8 1.05   16 25 1.0 1.0   25 42 49 49   168 240 1.0 0 25 50 100 0.3 0.3 0.3 </iso6>
                <iso7>  62  120 1.8 1.05   16 25 1.0 1.0   25 42 49 49   168 240 1.0 0 25 50 100 0.3 0.3 0.3 </iso7>
                <iso8>  62  120 1.8 1.05   16 25 1.0 1.0   25 42 49 49   168 240 1.0 0 25 50 100 0.3 0.3 0.3 </iso8>
                <iso9>  62  120 1.8 1.05   16 25 1.0 1.0   25 42 49 49   168 240 1.0 0 25 50 100 0.3 0.3 0.7 </iso9>
            </Layer1>
            <Layer2>
                <!--    gradation_nr_4     luma_nr_4        luma_sub_4   /face_details_8                 -->
                <exp0>  60  120 2.0 1.0    16 32 1.0 1.0    25 42 32 49  128 200 1.0 15 25 32 100 1.0 1.0 1.0 </exp0>
                <exp1>  60  120 2.0 1.0    16 32 1.0 1.0    25 42 32 49  128 200 1.0 15 25 32 100 1.0 1.0 1.0 </exp1>
                <exp2>  60  120 2.0 1.0    16 32 1.0 1.0    25 42 32 49  128 200 1.0 15 25 32 100 1.0 1.0 1.0 </exp2>
                <iso0>  60  120 2.0 1.0    16 32 1.0 1.0    25 42 32 49  128 200 1.0 15 25 32 100 1.0 1.0 1.0 </iso0>
                <iso1>  60  120 2.0 1.0    16 32 1.0 1.0    25 42 32 49  128 200 1.0 15 25 32 100 1.0 1.0 1.0 </iso1>
                <iso2>  60  120 2.0 1.0    16 32 1.0 1.0    25 42 41 49  128 200 1.0 15 25 32 100 1.0 1.0 1.0 </iso2>
                <iso3>  60  120 2.0 1.0    16 32 1.0 1.0    25 42 41 49  128 200 1.0 15 25 32 100 1.0 1.0 1.0 </iso3>
                <iso4>  60  120 2.0 1.0    16 32 1.0 1.0    25 42 41 49  128 200 1.0 15 25 32 100 1.0 1.0 1.0 </iso4>
                <iso5>  60  120 2.0 1.0    16 32 1.0 1.0    25 42 41 49  128 200 1.0 15 25 32 100 1.0 1.0 1.0 </iso5>
                <iso6>  60  120 2.0 1.0    16 32 1.1 1.2    25 42 41 49  128 200 1.0 15 25 32 100 1.0 1.0 1.0 </iso6>
                <iso7>  60  120 1.0 1.0    16 32 1.1 1.2    25 42 41 49  128 200 1.0 15 25 32 100 1.0 1.0 1.0 </iso7>
                <iso8>  60  120 1.0 1.0    16 32 1.1 1.2    25 42 41 49  128 200 1.0 15 25 32 100 1.0 1.0 1.0 </iso8>
                <iso9>  60  120 1.0 1.0    16 32 1.1 1.2    25 42 41 49  128 200 1.0 15 25 32 100 1.0 1.0 1.0 </iso9>
            </Layer2>
        </NLM>
        <SKIN_TH>
            <!--   /skin_th           /avghue_th  /faceHueM /hue_range   /face_rect_ratio  /center_hue  /center_cr /Cr_scale /hue_range_sc   /Cr_range_sc  /hist_weight_sc  -->
            <!--   4th_ratio                                low high                                                                                                        -->
            <!--   4[0,1.0]            [0,255]     [0,255]  2[0,255]      2[0,255] 2[0,1]     [0,255]    [128,255]   [0,255]   4[0,255]       4[0,255]      4[0,255]        -->
            <exp0> 0.2 0.75 0.85  1.0  160         230       30 140      50 170   0.85 1.0       0          160        10    4 16 55 45    150 200 40 60    10 16 10 16 </exp0>
            <exp1> 0.2 0.75 0.85  1.0  160         230       30 140      50 170   0.85 1.0       0          160        10    4 16 55 45    150 200 40 60    10 16 10 16 </exp1>
            <exp2> 0.2 0.75 0.85  1.0  160         230       30 140      50 170   0.85 1.0       0          160        10    4 16 55 45    150 200 40 60    10 16 10 16 </exp2>
            <iso0> 0.2 0.75 0.85  1.0  160         230       30 140      50 170   0.85 1.0       0          160        10    4 16 55 45    150 200 40 60    10 16 10 16 </iso0>
            <iso1> 0.2 0.75 0.85  1.0  160         230       30 140      50 170   0.85 1.0       0          160        10    4 16 55 45    150 200 40 60     3 16  3 16 </iso1>
            <iso2> 0.2 0.75 0.85  1.0  160         230       30 140      50 170   0.85 1.0       0          160        10    4 16 55 45    150 200 40 60     0 16  0 16 </iso2>
            <iso3> 0.2 0.75 0.85  1.0  160         230       30 140      50 170   0.85 1.0       0          160        10    4 16 55 45    150 200 40 60     0 16  0 16 </iso3>
            <iso4> 0.2 0.75 0.85  1.0  160         230       30 140      50 170   0.85 1.0       0          160        10    4 16 55 45    150 200 40 60     0 16  0 16 </iso4>
            <iso5> 0.2 0.75 0.85  1.0  150         230       30 140      50 170   0.85 1.0       0          160        10    4 16 55 45    150 200 40 60     0 16  0 16 </iso5>
            <iso6> 0.2 0.75 0.85  1.0  140         230       30 140      50 170   0.85 1.0       0          160        10    4 16 55 45    150 200 40 60     0 16  0 16 </iso6>
            <iso7> 0.2 0.75 0.85  1.0  140         230       30 140      50 170   0.85 1.0       0          160        10    4 16 55 45    150 200 40 60     0 16  0 16 </iso7>
            <iso8> 0.2 0.75 0.85  1.0  140         230       30 140      50 170   0.85 1.0       0          160        10    4 16 55 45    150 200 40 60     0 16  0 16 </iso8>
            <iso9> 0.2 0.75 0.85  1.0  140         230       30 140      50 170   0.85 1.0       0          160        10    4 16 55 45    150 200 40 60     0 16  0 16 </iso9>
        </SKIN_TH>
        <DetailAddBack>
            <Layer0>
                <CurrentLayer>
                    <!--  /weak detail sensor        /weak_cpl_detail_th_4  /strong_cpl_detail_th2  /weight_for_non_detail_region_y4     /weight_for_detail_region_y5             /weight_c_depend_on_y  /weight_d_depend_on_y    /weight_depend_on_ghost7                        /weight_depend_on_skin_1L3 /weight_depend_on_var /gf_kernel3      /sub_noise      /noise_shift-->
                    <!--   2var 2w                   4 th                   2 th                p    l_min  l_max  2 weight 1scale         l_min  l_max  3 weight       1scale     weight                   weight                 2detail_th  2ghost_th  nonG sd  wd    1scale    nonFace     Face           2var 2w               k       LF  HF   2detail 2subn   -->
                    <!--   2[0,255]  2[0,1.0]        4[0,255]               2[0,255]                2[0,255]     2[0,1.0]  1[0,4]         2[0,255]      3[0,2.0]       1[0,4]     [0,2.0]                   [0,2.0]               2[0,255]  2[0,255]    3[0,1.0]        1[0,1.0]  3[0,1.0]                 2[0,255] 2[0,1.0]       1[0~15] 2[0,2.0]  2[0,64] 2[1,8] 1[-4~6]-->
                    <exp0> 7 15      0.05 0.27      39 65 70 90            23 30                   20    35     0.2   0.2   0.3            18    25     0.8   0.8   0.8  1.2          0.65                     0.65                  40 100      105 200    1.0  0.65 0.8  1.0        1.0    0.8 0.8         50 120 1.0 1.0        8    0.5 0.5      32 40 1.5 6   5  </exp0>
                    <exp1> 7 15      0.05 0.27      39 65 70 90            23 30                   20    35     0.2   0.2   0.3            18    30     0.8   0.8   0.8  1.2          0.65                     0.65                  40 100      105 200    1.0  0.65 0.8  1.0        1.0    0.8 0.8         50 120 1.0 1.0        8    0.5 0.5      32 40 1.5 6   5  </exp1>
                    <exp2> 7 15      0.05 0.27      39 65 70 90            23 30                   25    43     0.2   0.2   0.3            21    43     0.8   0.8   0.8  1.2          0.65                     0.65                  40 100      105 200    1.0  0.65 0.8  1.0        1.0    0.8 0.8         50 120 1.0 1.0        8    0.5 0.5      32 40 1.5 6   5  </exp2>
                    <iso0> 7 15      0.05 0.27      39 65 70 90            23 30                   25    43     0.2   0.2   0.3            25    43     0.8   0.8   0.8  1.2          0.65                     0.65                  40 100      105 200    1.0  0.65 0.8  1.0        1.0    0.8 0.8         32 120 1.0 1.0        8    0.5 0.5      32 40 1.5 6   5  </iso0>
                    <iso1> 7 15      0.05 0.27      40 53 70 90            23 30                   20    43     0.2   0.2   0.3            25    43     0.9   0.8   0.9  1.2          0.65                     0.65                  40 95       100 200    1.0  0.65 0.8  1.0        1.0    0.8 0.8         32 80  1.0 1.0        8    0.5 0.5      32 40 1.5 6   4  </iso1>
                    <iso2> 7 15      0.05 0.27      40 53 70 90            14 25                   15    43     0.2   0.2   0.3            25    43     0.8   0.8   0.8  1.2          0.65                     0.65                  40 84       100 200    1.0  0.65 0.8  1.0        1.0    0.8 0.8         32 80  1.0 1.0        8    0.5 0.5      32 40 1.5 6   3  </iso2>
                    <iso3> 7 15      0.05 0.27      40 53 70 90            13 25                   10    35     0.2   0.2   0.3            25    43     0.8   0.9   0.9  1.2          0.65                     0.65                  40 85       100 200    1.0  0.65 0.8  1.0        1.0    0.8 0.8         32 80  1.0 1.0        8    0.7 0.7      32 40 1.5 6   2  </iso3>
                    <iso4> 7 15      0.05 0.27      40 53 55 70            12 25                   10    35     0.2   0.2   0.3            25    43     0.8   0.9   0.9  1.2          0.65                     0.65                  40 82       100 200    1.0  0.65 0.8  1.0        1.0    0.7 0.7         32 80  1.0 1.0        8    0.7 0.7      32 40 1.5 6   1  </iso4>
                    <iso5> 7 15      0.05 0.27      40 45 50 65            10 25                   10    35     0.3   0.3   1.1            23    43     0.8   0.9   0.9  1.2          0.8                      0.8                   40 80       100 200    1.0  0.6 0.55  1.0        1.0    0.8 0.8         32 80  1.0 1.0        8    0.7 0.7      32 40 1.5 6   0  </iso5>
                    <iso6> 7 15      0.05 0.20      40 45 45 65            10 25                   10    35     0.45  0.45  1.3            23    43     0.8   0.8   0.8  1.2          0.8                      0.8                   40 80       100 200    1.0  0.6 0.55  1.0        1.0    0.8 0.8         32 80  1.0 1.0        12   0.7 0.7      32 40 1.5 6   0  </iso6>
                    <iso7> 7 15      0.05 0.25      40 45 45 65            10 25                   10    35     0.75  0.75  1.3            23    43     0.8   0.8   0.8  1.2          0.8                      0.8                   40 80       100 200    1.0  0.4 0.55  1.0        1.0    1.0 0.8         32 80  1.0 1.0        12   0.7 0.7      32 40 1.5 6   0  </iso7>
                    <iso8> 7 15      0.05 0.25      40 45 45 65            10 25                   10    35     0.75  0.75  1.3            23    43     0.8   0.8   0.8  1.2          0.8                      0.8                   40 80       100 200    1.0  0.4 0.55  1.0        1.0    1.0 0.8         32 80  1.0 1.0        12   0.7 0.7      32 40 1.5 6   0  </iso8>
                    <iso9> 7 15      0.05 0.25      40 45 45 65            10 25                   10    35     0.75  0.75  1.3            23    43     0.8   0.8   0.8  1.2          0.8                      0.8                   40 80       100 200    1.0  0.4 0.55  1.0        1.0    1.0 0.8         32 80  1.0 1.0        12   0.7 0.7      32 40 1.5 6   0  </iso9>
                </CurrentLayer>
            </Layer0>
            <Layer1>
                <CurrentLayer>
                    <!--  /weak detail sensor   /weak_cpl_detail_th_4  /strong_cpl_detail_th2  /weight_for_non_detail_region_y7          /weight_for_detail_region_y8              /weight_c_depend_on_y4  /weight_d_depend_on_y4  /weight_depend_on_ghost7                         /weight_depend_on_skin_1L3 /weight_depend_on_var  /gf_kernel6  /sub_noise     /noise_shift-->
                    <!--   2var 2w              4 th                  2 th                    l_min  l_max  2 weight  1scale              l_min  l_max  3 weight       1scale      weight                   weight                   2detail_th  2ghost_th  nonG sd  wd  1scale      nonFace     Face          2var 2w                k  LF  HF   2detail 2subn  -->
                    <exp0> 7 15 0.05 0.1       39 56 60 80            15 32                   25    43     0.3    0.3   1.0                25    43     0.8  0.8  0.8   1.2          0.75                    0.75                    40 100      100 180    1.0  0.8 0.95 0.95       1.0    0.8 0.9          60 120 1.0 1.0        8   0.7 0.7    32 40 4.0 6  6 </exp0>
                    <exp1> 7 15 0.05 0.1       39 56 60 80            15 32                   25    43     0.3    0.3   1.0                25    43     0.8  0.8  0.8   1.2          0.75                    0.75                    40 100      100 180    1.0  0.8 0.95 0.95       1.0    0.8 0.9          60 120 1.0 1.0        8   0.7 0.7    32 40 4.0 6  6 </exp1>
                    <exp2> 7 15 0.05 0.1       39 56 60 80            15 32                   25    43     0.3    0.3   1.0                25    43     0.8  0.8  0.8   1.2          0.75                    0.75                    40 100      100 180    1.0  0.8 0.95 0.9        1.0    0.8 0.9          60 120 1.0 1.0        8   0.7 0.7    32 40 4.0 6  6 </exp2>
                    <iso0> 7 15 0.05 0.1       39 56 60 80            15 32                   25    43     0.3    0.3   1.0                25    43     0.8  0.8  0.8    1.2          0.75                    0.75                    40 100      100 180    1.0  0.8 0.95 0.9        1.0    0.8 0.9          60 120 1.0 1.0        8   0.7 0.7    32 40 4.0 6  6 </iso0>
                    <iso1> 6 12 0.05 0.1       32 47 55 75            15 26                   25    43     0.3    0.3   1.0                25    43     0.8  0.8  0.8    1.2          0.75                    0.75                    40 95       100 180    1.0  0.8 0.95 1.0        1.0    0.8 0.9          32 90  1.0 1.0        8   0.7 0.7    32 40 4.0 6  5 </iso1>
                    <iso2> 6 12 0.05 0.1       32 47 55 70            15 26                   25    43     0.3    0.3   1.0                25    43     0.8  0.8  0.8    1.2          0.75                    0.75                    40 84       100 180    1.0  0.8 0.95 1.0        1.0    0.8 0.9          32 90  1.0 1.0        8   0.7 0.7    32 40 4.0 6  5 </iso2>
                    <iso3> 6 12 0.05 0.1       32 47 55 70            15 26                   25    43     0.35   0.35  1.0                25    43     0.8  0.8  0.8    1.2          0.8                     0.8                     40 85       100 180    1.0  0.8 0.95 1.0        1.0    0.8 0.9          32 90  1.0 1.0        11  0.9 0.8    32 40 4.0 6  5 </iso3>
                    <iso4> 7 15 0.05 0.1       32 47 55 70            15 26                   25    43     0.45   0.45  1.0                25    43     0.9  0.9  0.9    1.3          0.8                     0.8                     40 82       100 180    1.0  0.8 0.95 1.0        1.0    0.8 0.9          32 90  1.0 1.0        11  0.9 0.8    32 40 4.0 6  4 </iso4>
                    <iso5> 7 15 0.05 0.1       28 45 50 65            12 25                   20    37     0.45   0.45  1.0                20    37     0.9  0.9  0.9    1.3          0.8                     0.8                     40 80       100 200    1.1  0.8 0.80 1.0        1.0    0.8 0.9          32 90  1.0 1.0        11  0.9 0.8    32 40 4.0 6  2 </iso5>
                    <iso6> 7 15 0.05 0.1       28 45 50 65            10 25                   20    37     0.5    0.5   1.0                20    37     0.9  0.9  0.9    1.3          0.8                     0.8                     40 80       100 200    1.1  0.8 0.80 1.0        1.0    0.8 0.9          32 90  1.0 1.0        11  0.9 0.8    32 40 4.0 6  0 </iso6>
                    <iso7> 7 15 0.05 0.1       28 45 50 65            10 25                   20    37     0.5    0.5   1.0                20    37     0.9  0.9  0.9    1.3          0.8                     0.8                     40 80       100 200    1.1  0.8 0.80 1.0        1.0    1.0 0.9          32 90  1.0 1.0         11 0.9 0.8     32 40 4.0 6  0 </iso7>
                    <iso8> 7 15 0.05 0.1       28 45 50 65            10 25                   20    37     0.5    0.5   1.0                20    37     0.9  0.9  0.9    1.3          0.8                     0.8                     40 80       100 200    1.1  0.8 0.80 1.0        1.0    1.0 0.9          32 90  1.0 1.0         10 0.9 0.8     32 40 4.0 6  0 </iso8>
                    <iso9> 7 15 0.05 0.1       28 45 50 65            10 25                   20    37     0.5    0.5   1.0                20    37     0.9  0.9  0.9    1.3          0.8                     0.8                     40 80       100 200    1.1  0.8 0.80 1.0        1.0    1.0 0.9          32 90  1.0 1.0         10 0.9 0.8     32 40 4.0 6  0 </iso9>
                </CurrentLayer>

            </Layer1>
            <Layer2>
                <CurrentLayer>
                    <!--  /weak detail sensor  /weak_cpl_detail_th_4  /strong_cpl_detail_th2  /weight_for_non_detail_region_y7            /weight_for_detail_region_y8             /weight_c_depend_on_y4  /weight_d_depend_on_y4  /weight_depend_on_ghost7                          /weight_depend_on_skin_1L3 /weight_depend_on_var     /gf_kernel6 /sub_noise   /noise_shift -->
                    <!--   2var 2w             4 th                  2 th                    l_min  l_max  2 weight   1scale              l_min  l_max  3 weight       1scale       weight                   weight                  2detail_th  2ghost_th  nonG sd  wd    1scale     nonFace     Face            2var 2w                 k  LF  HF    2detail 2subn             -->
                    <exp0> 7 15 0.08 0.15      40 55 60 70            14 24                   25    43    0.3  0.3    3.0               25    43     1.0  1.0  1.0  1.0          0.6                     0.6                     40 100      100 180    1.0  0.8 0.8   1.0        1.0    0.9 0.9               50 128 0.6 0.5          8  0.8 0.8   32 40 1.5 6  6 </exp0>
                    <exp1> 7 15 0.08 0.15      40 55 60 70            14 24                   25    43    0.3  0.3    3.0               25    43     1.0  1.0  1.0  1.0          0.6                     0.6                     40 100      100 180    1.0  0.8 0.8   1.0        1.0    0.9 0.9               50 128 0.6 0.5          8  0.8 0.8   32 40 1.5 6  6 </exp1>
                    <exp2> 7 15 0.08 0.15      40 55 60 70            14 24                   25    43    0.3  0.3    3.0               25    43     0.6 0.6  0.6  1.0           0.6                     0.6                     40 100      100 180    1.0  0.8 0.8   1.0        1.0    0.9 0.9               50 128 0.6 0.5          8  0.8 0.8   32 40 1.5 6  6 </exp2>
                    <iso0> 7 15 0.08 0.15      35 42 45 60            14 24                   25    43    0.3  0.3    3.0               25    43     0.6 0.6  0.6  1.0           0.4                     0.6                     40 100      100 180    1.0  0.8 0.8   1.0        1.0    0.9 0.9               50 128 0.6 0.5          7  0.8 0.8   32 40 1.5 6  6 </iso0>
                    <iso1> 7 15 0.08 0.15      35 42 45 60            14 24                   25    43    0.3  0.3    1.0               25    43     0.6 0.6  0.6  1.0           0.4                     0.4                     40 95       100 180    1.0  0.8 0.8   1.0        1.0    0.9 0.9               50 128 0.6 0.5          7  0.8 0.8   32 40 1.5 6  6 </iso1>
                    <iso2> 7 15 0.08 0.15      30 39 45 60            14 24                   25    43    0.3  0.3    1.0               25    43     0.6 0.6  0.6  1.0           0.4                     0.4                     40 84       100 180    1.0  0.8 0.8   1.0        1.0    0.9 0.9               50 128 0.6 0.5          7  0.8 0.8   32 40 1.5 6  6 </iso2>
                    <iso3> 7 15 0.08 0.15      30 39 45 60            14 24                   25    43    0.3  0.3    1.0               25    43     0.6 0.6  0.6  1.0           0.4                     0.4                     40 85       100 180    1.0  0.8 0.8   1.0        1.0    0.9 0.9               50 128 0.6 0.5          8  0.8 0.8   32 40 1.5 6  6 </iso3>
                    <iso4> 7 15 0.08 0.15      31 39 45 55            12 25                   25    43    0.3  0.3    1.0               25    43     0.6 0.6  0.6  1.0           0.4                     0.4                     40 82       100 180    1.0  0.8 0.8   1.0        1.0    0.9 0.9               50 128 0.6 0.5          8  0.8 0.8   32 40 1.5 6  5 </iso4>
                    <iso5> 7 15 0.08 0.15      29 37 45 55            10 25                   20    37    0.3  0.3    1.0               20    37     0.6 0.6  0.6  1.0           0.4                     0.4                     40 80       100 180    1.0  0.7 0.8   1.0        1.0    0.9 0.9               50 128 0.6 0.5          7  0.8 0.8   32 40 1.5 6  3 </iso5>
                    <iso6> 7 15 0.08 0.15      30 39 45 55            10 25                   20    37    0.3  0.3    1.0               20    37     0.6 0.6  0.6  1.0           0.4                     0.4                     40 80       100 180    1.0  0.7 0.8   1.0        1.0    0.9 0.9               50 128 0.6 0.5          8  0.8 0.8   32 40 1.5 6  1 </iso6>
                    <iso7> 7 15 0.08 0.15      25 39 45 55            8  18                   17    20    0.3  0.3    1.0               16    30     0.6 0.6  0.6  1.0           0.4                     0.4                     40 80       100 180    1.0  0.7 0.8   1.0        1.0    0.9 0.9               50 128 0.6 0.5          8  0.8 0.8   32 40 1.5 6  0 </iso7>
                    <iso8> 7 15 0.08 0.15      25 39 45 55            8  18                   17    35    0.3  0.3    1.0               16    20     0.6 0.6  0.6  1.0           0.4                     0.4                     40 80       100 180    1.0  0.7 0.8   1.0        1.0    0.9 0.9               10 25  0.6 0.5          8  0.8 0.8   32 40 1.5 6  0 </iso8>
                    <iso9> 7 15 0.08 0.15      25 39 45 55            8  18                   17    35    0.3  0.3    1.0               16    20     0.6 0.6  0.6  1.0           0.4                     0.4                     40 80       100 180    1.0  0.7 0.8   1.0        1.0    0.9 0.9               10 25  0.6 0.5          8  0.8 0.8   32 40 1.5 6  0 </iso9>
                </CurrentLayer>
            </Layer2>
        </DetailAddBack>
        <lanczos_de>
            <!--    detail_read                luma               skin                              -->
            <!--    detail nondetail detail    dark light         nonFace  Face                     -->
            <!--    4[0,255]     3[0,512]     2[0,255] 2[0,512]   4[0,255]        3[0,512]          -->
            <exp0>   8 13 50 60  256 256 256    16 32  256 256     10 100 150 200  256 256 256   </exp0>
            <exp1>   8 13 50 60  256 256 256    16 32  256 256     10 100 150 200  256 256 256   </exp1>
            <exp2>   8 13 50 60  256 256 256    16 32  256 256     10 100 150 200  256 256 256   </exp2>
            <iso0>  10 15 40 50  256 256 256    16 32  256 256     10 100 150 200  256 256 256   </iso0>
            <iso1>  18 25 40 50  256 256 256    16 32  256 256     10 100 150 200  256 256 256   </iso1>
            <iso2>  18 25 40 50  256 256 256    16 32  256 256     10 100 150 200  256 256 256   </iso2>
            <iso3>  18 25 40 50  256 256 256    16 32  256 256     10 100 150 200  256 256 256   </iso3>
            <iso4>  18 25 40 50  256 256 256    16 32  256 256     10 100 150 200  256 256 256   </iso4>
            <iso5>  18 25 40 50  256 256 256    16 32  256 256     10 100 150 200  256 256 256   </iso5>
            <iso6>  18 25 40 50  256 256 256    16 32  256 256     10 100 150 200  256 256 256   </iso6>
            <iso7>  18 25 40 50  256 256 256    16 32  256 256     10 100 150 200  256 256 256   </iso7>
            <iso8>  18 25 40 50  256 256 256    16 32  256 256     10 100 150 200  256 256 256   </iso8>
            <iso9>  18 25 40 50  256 256 256    16 32  256 256     10 100 150 200  256 256 256   </iso9>
        </lanczos_de>
        <DpcRawnr>
            <dpcc_on_off>1</dpcc_on_off> <!-- 0 off, 1 on -->
            <LV_th> 5 </LV_th> <!-- [0,255] -->
            <box_radius>2</box_radius> <!-- [1,10] -->
            <iso>                 100   800   1600   3200   6400   </iso> <!-- iso threshold [0, 1280000] -->
            <varY_th>             10    10    10     10     15     </varY_th> <!-- [0,255] -->
            <stdY_th>             11    11    11     11     20     </stdY_th> <!-- [0,255] -->
            <sad_neibr_count_th>  7     7     7      7      7      </sad_neibr_count_th> <!-- [0,255] -->
            <sad_total_count_th>  46    46    46     46     46     </sad_total_count_th> <!-- [0,255] -->
            <sad_neibr_scale>     70    70    70     70     70     </sad_neibr_scale> <!-- [0,255] -->
            <sad_total_scale>     64    64    64     64     64     </sad_total_scale> <!-- [0,255] -->
            <line_sensor_scale>   3     12    12     12     20     </line_sensor_scale> <!-- [0,255] -->
            <dpc_detail_min>      19    19    19     19     22     </dpc_detail_min> <!-- [0,255] -->
            <dpc_detail_max>      35    35    35     35     45     </dpc_detail_max> <!-- [0,255] -->
        </DpcRawnr>
    </RAWNR>

    <CE>
        <!-- light_lev min_drc_gain max_drc_gain min_ce_gain max_ce_gain min_uv_value max_uv_value min_y_value max_y_value min_face_hue max_face_hue min_face_gain max_face_gain sky_region sky_gain         h_target                  s_target-->
        <!-- [0, 65535]  [0,255]      [0,255]      [1,255]      [1,255]      [1,128]      [1,128]    [0,255]      [0,255]      [0,255]      [0,255]      [0,32]       [0,32]     [0,255]    [0,255]   [0,255] [0,255] [0,255]   [0,255] [0,255] [0,255]-->
        <param0>   1       32           100           1            64           30           60         40           60          132          140           0           32         25          0         120     155    180       20      100     120</param0>
        <param1>  10       32           100           1            32           30           60         40           60          132          140           0           32         25          0         120     155    180       20      100     120</param1>
        <param2> 100       32           100           1            1            30           60         40           60          132          140           0           32         25          0         120     155    180       20      100     120</param2>
        <param3> 200       32           100           1            1            30           60         40           60          132          140           0           32         128         0         120     155    180       20      100     120</param3>
        <param4> 800       32           100           1            1            30           60         40           60          132          140           0           32         128         0         120     155    180       20      100     120</param4>
        <param5>1600       32           100           1            1            30           60         40           60          132          140           0           32         128         0         120     155    180       20      100     120</param5>
        <param6>3200       32           100           1            1            30           60         40           60          132          140           0           32         128         0         120     155    180       20      100     120</param6>
        <param7>6400       32           100           1            1            30           60         40           60          132          140           0           32         128         0         120     155    180       20      100     120</param7>
    </CE>

    <SkinSmooth>
        <params_sd0>
             <sd_result>0</sd_result>
              <!--       light_lev         beta*100    weight_good  high_pass_r     high_pass_eps*10000    high_pass_r2     high_pass_eps2         bwp_gf_r      bwp_gf_eps    bwp_a0    bwp_b0*100     bwp_c0       bwp_d0       gf_r_1     gf_eps_1     gf_r_2     gf_eps_2    k_size_1    sigma_1*10   ao_gf_r     ao_gf_eps  Ao_CLIP_TH_1 Ao_CLIP_TH_2  Ao_CLIP_TH_3 Ao_CLIP_TH_4 Ao_CLIP_TH_5   ao_ww_1*10   ao_ww_2     ao_ww_3    ao_ww_4   ao_ww_5    k_size_2   sigma_2*10    ad_gf_r    ad_gf_eps    Ad_CLIP_TH_1  Ad_CLIP_TH_2 Ad_CLIP_TH_3   Ad_CLIP_TH_4    Ad_CLIP_TH_5   ad_ww_1*10  ad_ww_2   ad_ww_3   ad_ww_4    ad_ww_5    ab_gf_r   ab_eps*10000     min_thresh_eyedis    max_thresh_eyedis      man_beauty*256    skin_smooth_level             -->
              <!--        [0, 65535]      [100,1000]    [0, 256]       [2, 24]          [1,10000]           [1, 4]          [1,10000]              [1, 4]       [1,10000]    [0, 100]   [0, 100]     [0, 100]     [0, 100]      [2, 16]    [1,10000]     [1, 4]    [1,10000]   [2, 24]      [20,100]    [2, 20]     [1,10000]      [0,128]      [0,128]       [0,128]      [0,128]      [0,128]     [0, 1000]   [0, 1000]   [0, 1000]  [0, 1000]  [0, 1000]  [1, 20]    [20, 100]     [1, 4]     [1,10000]     [0,128]       [0,128]      [0,128]        [0,128]         [0,128]        [0,1000]  [0,1000]  [0,1000]   [0,1000]   [0,1000]   [2, 8]   [1,10000]             [0,10000]           [0,10000]             [0,1024]              [0,256]                     -->
             <param0>       1               175           200            16              81                    4                  81                  4             50          50         20            20          35              16       300            2         300         21           50           8          100           2            2             2            2            2          10           12         10          12        10         5           40           2            200           25            25           25             25              6               6          6         5          5          10         6           100                 7                 77                    256                   256                  </param0>
             <param1>       50              175           200            16              81                    4                  81                  4             50          50         20            20          35              16       300            2         300         21           50           8          100           2            2             2            2            2          10           12         10          12        10         5           40           2            200           25            25           25             25              6               6          6         5          5          10         6           100                 7                 77                    256                   256                  </param1>
             <param2>       100             175           200            16              81                    4                  81                  4             50          50         20            20          35              16       300            2         300         21           50           8          100           2            2             2            2            2          10           12         10          12        10         5           40           2            200           25            25           25             25              6               6          6         5          5          10         6           100                 7                 77                    256                   256                  </param2>
             <param3>       200             175           200            16              81                    4                  81                  4             50          50         20            20          35              16       300            2         300         21           50           8          100           2            2             2            2            2          10           12         10          12        10         5           40           2            200           25            25           25             25              6               6          6         5          5          10         6           100                 7                 77                    256                   256                  </param3>
             <param4>       800             175           200            16              81                    4                  81                  4             50          50         20            20          35              16       300            2         300         21           50           8          100           5            5             5            5            5          10           12         10          12        10         5           40           2            200           25            25           25             25              6               6          6         10         10         10         6           100                 7                 77                    256                   180                   </param4>
             <param5>       1600            175           200            16              81                    4                  81                  4             50          50         20            20          35              16       300            2         300         21           50           8          100           2            2             2            2            2          10           12         10          12        10         5           40           2            200           25            25           25             25              6               6          6         5          5          10         6           100                 7                 77                    256                   256                   </param5>
             <param6>       3200            150           200            16              81                    4                  81                  4             50          50         20            20          35              16       300            2         300         21           50           8          100           2            2             2            2            2          10           12         10          12        10         5           40           2            200           25            25           25             25              6               6          6         5          5          10         6           100                 7                 77                    256                   200                   </param6>
             <param7>       6400            150           200            16              81                    4                  81                  4             50          50         20            20          35              16       300            2         300         21           50           8          100           2            2             2            2            2          10           12         10          12        10         5           40           2            200           25            25           25             25              6               6          6         5          5          10         6           100                 7                 77                    256                   200                   </param7>

        </params_sd0>
    </SkinSmooth>

    <RAW2YUV>
        <raw_bit_width>10</raw_bit_width>
        <raw2yuv_mode>2</raw2yuv_mode>
        <rawnf>
            <bypass>1</bypass>
        </rawnf>
        <de>
            <bypass>1</bypass>
        </de>
        <drc>
            <bypass>1</bypass>
        </drc>
        <lsc>
            <bypass>1</bypass>
        </lsc>
        <yuvnf_iir>
            <bypass>0</bypass>
        </yuvnf_iir>

        <cc>
            <use_manual>0</use_manual>
            <switch>0</switch>
        </cc>

        <dpcc>
            <use_manual>0</use_manual>
            <switch>0</switch>
        </dpcc>

        <yuvnf>
            <use_manual>0</use_manual>
            <switch>0</switch>
        </yuvnf>

        <sharpen>
            <use_manual>1</use_manual>
            <switch>0</switch>
        </sharpen>
        <sharpen_arsr>
            <use_manual>0</use_manual>
            <switch>0</switch>
        </sharpen_arsr>
    </RAW2YUV>
</Config>
